"""empty message

Revision ID: 45bd6bef4a40
Revises: d0cd5516a961
Create Date: 2018-03-29 01:01:13.379230

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '45bd6bef4a40'
down_revision = 'd0cd5516a961'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('penyuluh',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('workload', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('status',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('assignment',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('status_id', sa.Integer(), nullable=True),
    sa.Column('ketua_arisan_id', sa.Integer(), nullable=True),
    sa.Column('penyuluh_id', sa.Integer(), nullable=True),
    sa.Column('visit_date', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['ketua_arisan_id'], ['ketua_arisan.id'], ),
    sa.ForeignKeyConstraint(['penyuluh_id'], ['penyuluh.id'], ),
    sa.ForeignKeyConstraint(['status_id'], ['status.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('profile', sa.Column('penyuluh_id', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'profile', 'penyuluh', ['penyuluh_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'profile', type_='foreignkey')
    op.drop_column('profile', 'penyuluh_id')
    op.drop_table('assignment')
    op.drop_table('status')
    op.drop_table('penyuluh')
    # ### end Alembic commands ###
